nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | List of all members
StreamReader Class Reference

Reads picture files from specified directory as video-stream. More...

`#include <stream_reader.h>`

Inheritance diagram for StreamReader:

## Public Member Functions
| StreamReader (nxpt::CommonRefManager *const parentRefManager, DirContentsManager *const dirContentsManager, unsigned int frameDurationUsec, bool liveMode, int encoderNumber)
virtual void * | queryInterface (const nxpl::NX_GUID &interfaceID) override
| Implementation of nxpl::PluginInterface::queryInterface.
virtual int | addRef () const override
| Implementation of nxpl::PluginInterface::addRef.
virtual int | releaseRef () const override
| Implementation of nxpl::PluginInterface::releaseRef.
virtual int | getNextData (nxcip::MediaDataPacket **packet) override
| Implementation nxcip::StreamReader::getNextData.
virtual void | interrupt () override
| Implementation nxcip::StreamReader::interrupt.
nxcip::UsecUTCTimestamp | setPosition (unsigned int cSeq, nxcip::UsecUTCTimestamp timestamp)
nxcip::UsecUTCTimestamp | setReverseMode (unsigned int cSeq, bool isReverse, nxcip::UsecUTCTimestamp timestamp)
bool | isReverse () const

## Detailed Description

Reads picture files from specified directory as video-stream.

## Constructor & Destructor Documentation

## ◆ StreamReader()

StreamReader::StreamReader | ( | nxpt::CommonRefManager *const | parentRefManager,
|  | DirContentsManager *const | dirContentsManager,
|  | unsigned int | frameDurationUsec,
|  | bool | liveMode,
|  | int | encoderNumber
| ) |  |

Parameters

  liveMode | In this mode, plays all pictures in a loop

## Member Function Documentation

## ◆ setReverseMode()

nxcip::UsecUTCTimestamp StreamReader::setReverseMode | ( | unsigned int | cSeq,
|  | bool | isReverse,
|  | nxcip::UsecUTCTimestamp | timestamp
| ) |  |

Returns
  Actually selected timestamp

The documentation for this class was generated from the following files:

- samples/device/image_library_plugin/src/stream_reader.h
- samples/device/image_library_plugin/src/stream_reader.cpp